#ifndef _MPLUSSTROKELINE_H_

typedef struct MPLUS_Line_Item_Pos {
	double x;
	double y;
} MPLUS_Line_Pos_t;

typedef struct MPLUS_Line_Item_Line {
	MPLUS_Line_Pos_t pos1;
	MPLUS_Line_Pos_t pos2;
} MPLUS_Line_Line_t;

typedef struct MPLUS_Line_Glyph {
	unsigned int code;
	unsigned int code8;
	unsigned int linescount;
	MPLUS_Line_Line_t lines[1024];
} MPLUS_Line_Glyph_t;

typedef struct MPLUS_Line_GlyphData {
	unsigned int glyphscount;
	MPLUS_Line_Glyph_t glyphs[10000];
} MPLUS_Line_GlyphsData_t;

extern void LoadMPLUSStroke_Line(MPLUS_Line_GlyphsData_t* o_ptGlyphsData);

#endif /* _MPLUSSTROKELINE_H_ */
